<?php

namespace App\Services;

use App\Repositories\ProcedureRepository;

class ProcedureService
{
    protected ProcedureRepository $procedureRepository;

    public function __construct() {
        $this->procedureRepository = new ProcedureRepository();
    }

    public function getOrderedRoutes($procedure)
    {
        return $this->procedureRepository->orderedRoutes($procedure);
    }

    public function getVirtualProcedures()
    {
        return $this->procedureRepository->getVirtualProcedures();
    }

    public function getFirstNode($procedureId)
    {
        return $this->procedureRepository->getFirstNodeByProcedure($procedureId);
    }

    public function getFinalNode($procedureId)
    {
        return $this->procedureRepository->getFinalNodeByProcedure($procedureId);
    }

    
}